<!DOCTYPE html>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<html lang="${localization['common.langid']}">
    <head>        
        <jsp:include page="includes/head.jsp"></jsp:include>
    </head>
    <body>
        <jsp:include page="includes/header.jsp"></jsp:include>

        <div class="container">
            <jsp:include page="includes/menu.jsp"></jsp:include>         

            <c:catch var="moduleerror">
                <c:choose>
                    <c:when test="${not empty error}">
                        <jsp:include page="includes/errors/${error}"></jsp:include>
                    </c:when>
                    <c:when test="${not empty module}">
                        <jsp:include page="modules/${module.moduleName}/main.jsp"></jsp:include>
                    </c:when>
                    <c:otherwise>
                        <jsp:include page="includes/main.jsp"></jsp:include>
                    </c:otherwise>
                </c:choose>            
            </c:catch>

            <c:if test = "${not empty moduleerror}">
                <jsp:include page="includes/errors/module.jsp"></jsp:include> 
            </c:if>

        </div>

        <jsp:include page="includes/footer.jsp"></jsp:include> 
        <jsp:include page="includes/page-end.jsp"></jsp:include> 

    </body>
</html>