<?
class Utilities{	
	
	private $log;
	
	function __construct($log){
		$this->log = $log;
	}
	
	/* Text processor - restore HTML tags and new lines */
	public function processText($in){
		$tmp = html_entity_decode($in);
		$tmp = nl2br($tmp);
		
		return $tmp;
	}
	
	/* Custom error handler */
	public function errorHandler($errno, $errstr, $errfile, $errline){
		$this->log->error("Error handler: ".$errstr." - ".$errfile." - line: ".$errline);
	}
	
	/* Output cleaner */
	function sanitizeOutput($buffer) {
		$search = array(
			'/\>[^\S ]+/s',  // strip whitespaces after tags, except space
			'/[^\S ]+\</s',  // strip whitespaces before tags, except space
			'/(\s)+/s'       // shorten multiple whitespace sequences
		);

		$replace = array(
			'>',
			'<',
			'\\1'
		);

		$buffer = preg_replace($search, $replace, $buffer);

		return $buffer;
	}
	
	
	/* Check url */
	public function url_exist($url){		
		$headers = @get_headers($url);
		if(strpos($headers[0],'200') != true){
			return false;
		}
		return true;
	}
}
?>
