<?php
session_start();

/* Configurations include */
require_once(__DIR__.'/../../app_data/conf.php');	

/* Init logger */
require_once('core/classes/log4php/Logger.php');
Logger::configure(APPLICATION_ROOT.LOG_CONFIG_PATH);
$log = Logger::getRootLogger();

/* Classes include */
require_once('core/classes/Locale.class.php');
require_once('core/classes/Utilities.class.php');

/* Class initialization */
$l=new Locale($_REQUEST);
$lang = $l->getCurrentLocale();

$u=new Utilities($log);

/* URL initialization */
$uri_parts = explode('?', htmlspecialchars($_SERVER['REQUEST_URI'], ENT_QUOTES, 'UTF-8'), 2);
$currenturl = 'http' . (isset($_SERVER['HTTPS']) ? 's' : '') . '://' . ((REVERSE_PROXY_MODE == 1) ? htmlspecialchars($_SERVER['HTTP_X_FORWARDED_HOST'], ENT_QUOTES, 'UTF-8') : htmlspecialchars($_SERVER['HTTP_HOST'], ENT_QUOTES, 'UTF-8')) . $uri_parts[0];

/* Error handlers */
$ecode = (isset($_REQUEST['ecode']) ? htmlspecialchars($_REQUEST['ecode'], ENT_QUOTES, 'UTF-8') : NULL);
$error = ($ecode) ? 1 : 0;
$oeh = @set_error_handler(array($u, 'errorHandler'));

/* Datasets handler */
require_once('core/components/dataset.inc.php');

/* Output optimization settings */
if(OPTIMIZE_OUTPUT){
	ob_start(array($u, 'sanitizeOutput'));
}
?>
