<?
/* Data path creation (difference based on the type of call: direct file call or uri) */
if(preg_match('/.[a-z]{2}.html/', $uri_parts[0])){
	$datapath = substr($uri_parts[0],0,strrpos($uri_parts[0],'/'));
}else{
	$datapath = $uri_parts[0];
}

//* Data file path creation (path to the json file) */
$datafilename = substr($datapath,strrpos($datapath,'/'));
$datafilename = preg_replace('/(:[0-9]+)/','',$datafilename);
$tmpCheck = str_replace("/","",$datafilename);
if(preg_match('/^([0-9]+)$/',$tmpCheck)){
        $datafilename = substr($datapath,0,strrpos($datapath,'/'));
        $datafilename = substr($datafilename,strrpos($datafilename,'/'));
}

$datapath = preg_replace('/(:[0-9]+)/','/$1',$datapath);
$datapath = str_replace(":","",$datapath);
$dataurl = DATASET_ROOT_URL.$datapath.$datafilename.'.'.$lang.'.json';
$dataurl = str_replace('registry/registry','registry',$dataurl);

/* Dataset initialization */
$data = NULL;
if(!isset($_REQUEST['ecode']) && !isset($_REQUEST['q']) && !isset($_REQUEST['static']) && !isset($_REQUEST['custom'])){
        $data = @file_get_contents($dataurl);                                                                           //JSON Data file
}
$ui     = @file_get_contents(UI_LOCALE_FOLDER.'ui.'.$lang.'.json');                                     //User interface localization JSON file
$footer = @file_get_contents(APPLICATION_DATASET_PATH.'parts/footer.json');             //Footer descriptor JSON file

/* JSON dataset parse */
$dataj = json_decode($data);
$uij = json_decode($ui);
$footerj = json_decode($footer);
$locales = json_decode(LOCALE_LABELS);

/* Initializing additional vars */
$static = NULL;
$custom = NULL;
$search = NULL;
$error = NULL;

if($dataj && $uij && $footerj && $locales){
	
	/* User interface mode initialization - Different modes for different information type (Registry/Register/Detail/ValueDetail) */
	if(isset($dataj->registry)){
		/* Registry mode */
		$mode = 1;
		$mdesc = @file_get_contents(APPLICATION_DATASET_PATH.'modes/mode.descriptor.json');
		$mdescj = json_decode($mdesc);
		$cur_desc = $mdescj->{'mode'.$mode}->{$dataj->registry->id};
		$title = strip_tags($dataj->registry->label->text);
		$description = strip_tags($dataj->registry->contentsummary->text);
	}else if(isset($dataj->register)){
		/* Register mode */
		$mode = 2;
		$mdesc = @file_get_contents(APPLICATION_DATASET_PATH.'modes/mode.descriptor.json');
		$mdescj = json_decode($mdesc);
		$cur_desc = $mdescj->{'mode'.$mode}->{$dataj->register->id};
		$title = strip_tags($dataj->register->label->text);		
		$description = strip_tags($dataj->register->contentsummary->text);		
	}else if(isset($dataj->value)){
		/* Value detail (example: used for cedelist values) */
		$mode = 4;
		$mdesc = @file_get_contents(APPLICATION_DATASET_PATH.'modes/mode.descriptor.json');
		$mdescj = json_decode($mdesc);
		$object_key = $dataj->value->itemclass->id;
		$cur_desc = $mdescj->{'mode'.$mode}->{$object_key};
		$title = strip_tags($dataj->value->label->text);
		$description = (isset($dataj->value->definition->text)) ? strip_tags($dataj->value->definition->text) : strip_tags($dataj->value->label->text);
	}else{
		/* Item detail */
		$mode = 3;
		@reset($dataj);
		$object_key = @key($dataj);
		$dataelem = $dataj->{$object_key};			
		$mdesc = @file_get_contents(APPLICATION_DATASET_PATH.'modes/mode.descriptor.json');
		$mdescj = json_decode($mdesc);
		$cur_desc = $mdescj->{'mode'.$mode}->{$object_key};
		$title = strip_tags($dataelem->label->text);
		$description = (isset($dataelem->definition->text)) ? strip_tags($dataelem->definition->text) : strip_tags($dataelem->label->text);
	}
}else{
	$static = (isset($_REQUEST['static']) ? htmlspecialchars($_REQUEST['static'], ENT_QUOTES, 'UTF-8') : NULL);
	$search = (isset($_REQUEST['search']) ? htmlspecialchars($_REQUEST['search'], ENT_QUOTES, 'UTF-8') : NULL);
	$custom = (isset($_REQUEST['custom']) ? htmlspecialchars($_REQUEST['custom'], ENT_QUOTES, 'UTF-8') : NULL);
	if($static){
		/* If the request is for a static page, call the static pages template */
		$stdesc = @file_get_contents(APPLICATION_DATASET_PATH.'staticpages/'.$static.'.descriptor.json');
		$stdescj = json_decode($stdesc);
		$statictype = (isset($_REQUEST['type']) ? htmlspecialchars($_REQUEST['type'], ENT_QUOTES, 'UTF-8') : NULL);
		$title = strip_tags($uij->{$stdescj->labelkey} . (($statictype) ? ' ' . $uij->{$stdescj->types->{$statictype}->labelkey} : '')).' - '.$uij->{'registry-name'};
		$description = strip_tags($uij->{$stdescj->labelkey} . (($statictype) ? ' ' . $uij->{$stdescj->types->{$statictype}->labelkey} : ''));
	}elseif($search){
		$q = (isset($_REQUEST['q']) ? htmlspecialchars($_REQUEST['q'], ENT_QUOTES, 'UTF-8') : NULL);
		$title = strip_tags($uij->search . (($q) ? ' ' . $q : '')).' - '.$uij->{'registry-name'};
		$description = strip_tags($uij->search . (($q) ? ' ' . $q : ''));
	}elseif($custom){
		/* If the request is for a custom page, call the custom pages template */
		$cudesc = @file_get_contents(APPLICATION_DATASET_PATH.'custompages/'.$custom.'/descriptor.json');
		$cudescj = json_decode($cudesc);
		$title = strip_tags($uij->{$cudescj->labelkey}).' - '.$uij->{'registry-name'};
		$description = strip_tags($uij->{$cudescj->labelkey});
	}else{
		/* Otherwise, call the error pages  */
		$error = 1;
		$title = strip_tags(($ecode) ? $uij->error . ' ' .$ecode : $uij->error).' - '.$uij->{'registry-name'};
		$description = strip_tags(($ecode) ? $uij->error . ' ' .$ecode : $uij->error);
	}
}

?>